For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet User Agents
      • POSTCreate New User Agent
      • GETGet Team Agents
      • POSTCreate New Team Agent
      • GETGet User Agent Public Profile
      • GETGet Team Agent Public Profile
      • GETGet Specific User Agent
      • PUTUpdate Specific User Agent
      • DELDelete Specific User Agent
      • GETGet Specific Teams Agent
      • PUTUpdate Specific Team Agent
      • DELDelete Specific Team Agent
      • POSTDuplicate Specific User Agent
      • POSTDuplicate Specific Team Agent
      • GETGet User Agent Code
      • PUTUpdate User Agent Code
      • GETGet Team Agent Code
      • PUTUpdate Team Agent Code
      • GETGet User Agent Storage
      • GETGet Team Agent Storage
      • GETGet User Agent Storage By Key
      • PUTUpdate User Agent Storage
      • DELDelete User Agent Storage
      • GETGet Team Agent Storage By Key
      • PUTUpdate Team Agent Storage
      • DELDelete Team Agent Storage
      • POSTStart Specific User Agent
      • POSTStart Specific Team Agent
      • POSTStop Specific User Agent
      • POSTStop Specific Team Agent
      • GETGet Latest Logs For User Agent
      • GETGet Latest Logs For Team Agent
      • DELDelete Logs For User Agent
      • DELDelete Logs For Team Agent
      • PUTUpdate User Agent Network
      • PUTUpdate Team Agent Network
      • GETGet User Secret
      • POSTCreate User Secret
      • GETGet Team Secret
      • POSTCreate Team Secret
      • GETGet User Agent Secrets
      • GETGet Team Agent Secrets
      • DELDelete User Secret
      • DELDelete Team Secret
      • POSTSubmit Message Envelope
      • GETAgent Readiness Probe
Login
LogoLogo
API ReferenceHosting V1

Create New Team Agent

POST
https://agentverse.ai/v1/hosting/teams/:slug/agents
POST
/v1/hosting/teams/:slug/agents
$curl -X POST https://agentverse.ai/v1/hosting/teams/slug/agents \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "foo"
>}'
1{
2 "name": "foo",
3 "address": "foo",
4 "running": true,
5 "revision": 42,
6 "domain": "foo",
7 "prefix": "agent",
8 "compiled": true,
9 "code_digest": "foo",
10 "wallet_address": "foo",
11 "code_update_timestamp": "foo",
12 "creation_timestamp": "foo",
13 "avatar_url": "foo",
14 "maintainer_id": "foo",
15 "readme": "foo",
16 "short_description": "foo",
17 "metadata": {
18 "geolocation": {
19 "latitude": 42,
20 "longitude": 42,
21 "radius": 42
22 }
23 }
24}
Was this page helpful?
Previous

Get User Agent Public Profile

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

slugstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Request

This endpoint expects an object.
namestringRequired
Name of the new agent.
readmestringOptional
Readme content for the agent.
avatar_urlstringOptional
URL of the agent's avatar.
short_descriptionstringOptional
Brief description.
networkenumOptional

Network on which the agent will register (mainnet or testnet)

Allowed values:

Response

Successful Response
namestring
Name of the agent.
addressstring
Bech32 address of the agent.
runningboolean
Whether the agent is currently running.
revisioninteger
Revision number of the agent.
domainstring
Domain name associated with the agent.
prefixenumDefaults to test-agent
Address prefix of the agent.
Allowed values:
compiledboolean
Whether the agent code has been compiled.
code_digeststring
Digest of the agent's code.
wallet_addressstring
Wallet address of the agent.
code_update_timestampstringformat: "date-time"
Last time the code was updated.
creation_timestampstringformat: "date-time"
Time when the agent was created.
avatar_urlstring
URL to the agent's avatar image.
maintainer_idstring
ID of the user maintaining the agent.
readmestring
README description of the agent.
short_descriptionstring
Short description for display.
metadataobject
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error